from django.contrib.auth.views import LoginView, LogoutView, PasswordChangeView
from django.urls import path, reverse_lazy

from accounts.views import RegisterView, ChangePasswordView

app_name = "accounts"

urlpatterns = [
    path("account/login/", LoginView.as_view(), name="login"),
    path("account/logout/", LogoutView.as_view(), name="logout"),
    path("account/registration/", RegisterView.as_view(), name="register"),
    path("account/<int:pk>/change_password/", ChangePasswordView.as_view(), name="change_password"),
]
